Package uk.ac.starlink.topcat.plot2

# Class HealpixLayerControl

java.lang.Object
uk.ac.starlink.topcat.plot2.TabberControl
uk.ac.starlink.topcat.plot2.ConfigControl
uk.ac.starlink.topcat.plot2.SingleZoneLayerControl
uk.ac.starlink.topcat.plot2.BasicCoordLayerControl
uk.ac.starlink.topcat.plot2.HealpixLayerControl

All Implemented Interfaces:
  `Configger`, `Control`, `LayerControl`

public class HealpixLayerControl extends BasicCoordLayerControl
LayerControl for plotting Healpix tile sets.

Since:
  20 Apr 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HealpixLayerControl(uk.ac.starlink.ttools.plot2.layer.HealpixPlotter plotter, ListModel<TopcatModel> tablesModel, uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel, Configger baseConfigger)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.ttools.plot2.LegendEntry[]`
`getLegendEntries()`
Returns legend entries associated with this control.

### Methods inherited from class uk.ac.starlink.topcat.plot2.BasicCoordLayerControl

`getConfig, getControlLabel, getCoordLabel, getCoordPanel, getPlotters, getSingleZoneLayer, getTableSelector, getZoneSpecifier, setTopcatModel, tableChanged`

### Methods inherited from class uk.ac.starlink.topcat.plot2.SingleZoneLayerControl

`getLayers, hasLayers, submitReports`

### Methods inherited from class uk.ac.starlink.topcat.plot2.ConfigControl

`addSpecifierTab, getConfigSpecifiers`

### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

`addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getPanel, getTabber, removeActionListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.Control

`addActionListener, getControlIcon, getPanel, removeActionListener`

## Constructor Details

### HealpixLayerControl

public HealpixLayerControl(uk.ac.starlink.ttools.plot2.layer.HealpixPlotter plotter, ListModel<TopcatModel> tablesModel, uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel, Configger baseConfigger)
Constructor.

Parameters:
  `plotter` - healpix plotter
  `tablesModel` - list of available tables
  `zsel` - zone id specifier, may be null for single-zone case
  `baseConfigger` - provides global configuration info

## Method Details

### getLegendEntries

public uk.ac.starlink.ttools.plot2.LegendEntry[] getLegendEntries()
Description copied from interface: `LayerControl`
Returns legend entries associated with this control.

Specified by:
  `getLegendEntries` in interface `LayerControl`
Overrides:
  `getLegendEntries` in class `BasicCoordLayerControl`
Returns:
  legend entries